# class Gio::ApplicationCommandLine

### Public Class Methods

new(properties=nil) click to toggle source
Calls superclass method

    # File lib/gio2/application-command-line.rb, line 19
    def initialize(properties=nil)
      if properties
        arguments = properties[:arguments]
        if arguments and !arguments.is_a?(GLib::Variant)
          arguments = GLib::Variant.new(arguments,
                                        GLib::VariantType::BYTESTRING_ARRAY)
          properties = properties.merge(:arguments => arguments)
        end
      end
      super(properties)
    end